changeset 1734:fbc625ba4098 draft

Move man directory and delete info directory so lfs-bootstrap setup doesn't conflict with them when native-compiler built with SKIP_STRIP.
author Rob Landley <rob@landley.net>
date Sun, 15 Feb 2015 15:41:39 -0600
parents 4921adb23771
children 34f7ca02767c
files native-compiler.sh
diffstat 1 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/native-compiler.sh	Sat Feb 14 13:55:53 2015 -0600
+++ b/native-compiler.sh	Sun Feb 15 15:41:39 2015 -0600
@@ -56,9 +56,10 @@
 fi
 
 # Delete some unneeded files and strip everything else
+mv "$STAGE_DIR"/{man,share/man} &&
+rm -rf "$STAGE_DIR"/{info,libexec/gcc/*/*/install-tools} || dienow
 if [ -z "$SKIP_STRIP" ]
 then
-  rm -rf "$STAGE_DIR"/{info,man,libexec/gcc/*/*/install-tools}
   "${ARCH}-strip" --strip-unneeded "$STAGE_DIR"/lib/*.so
   "${ARCH}-strip" "$STAGE_DIR"/{bin/*,sbin/*}
 fi